Subject: bug#64391: 30.0.50; buffer narrowing slowdown regression in emacs 29

From: Andrew Cohen <[email-masked]>
Date: Sat, 01 Jul 2023 15:31:53 +0800

>>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:

[...]

    EZ> Does this problem go away if you set long-line-threshold to nil?

No.

    EZ> Can you show a profile of the processing that takes a long time?

Not exactly sure how to answer this. The test case just goes through the
buffer narrowing and widening (without modifying the buffer).  This
takes very little time. Then the following takes a very  long time:

      (goto-char (point-min))
      (while (not (eobp))
        (delete-char 1)
        (forward-line))

-- 
Andrew Cohen